"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_1 = require("react-native");
const anchor_1 = __importDefault(require("./anchor"));
const list_1 = __importDefault(require("./list"));
const getIndexList = () => {
    const indexList = [];
    const charCodeOfA = 'A'.charCodeAt(0);
    for (let i = 0; i < 26; i++) {
        indexList.push(String.fromCharCode(charCodeOfA + i));
    }
    return indexList;
};
const defaultIndexList = getIndexList();
function IndexList(props) {
    const { indexList = defaultIndexList, dataList, renderItem } = props;
    const [stickyIndex, setStickyIndex] = react_1.useState(-1);
    const [keyIndex, setKeyIndex] = react_1.useState(-1);
    return (react_1.default.createElement(react_native_1.View, { style: styles.container },
        react_1.default.createElement(list_1.default, { indexList: indexList, dataList: dataList, activeStickyIndex: stickyIndex, renderItem: renderItem, onKeyIndexChange: setKeyIndex }),
        react_1.default.createElement(anchor_1.default, { indexList: indexList, keyIndex: keyIndex, onChangeIndex: i => setStickyIndex(i) })));
}
const styles = react_native_1.StyleSheet.create({
    container: {
        flex: 1,
    },
});
exports.default = IndexList;
