import React from 'react';
import { StatusBarStyle } from 'react-native';
export declare type PickerProps = {
    visible: boolean;
    barStyle?: StatusBarStyle;
    dataSource: string[][];
    selectedIndex: number[];
    itemHeight?: number;
    showToolbar?: boolean;
    title?: string;
    cancelText?: string;
    cancelColor?: string;
    confirmText?: string;
    confirmColor?: string;
    closeOnClickOverlay?: boolean;
    onChange?: (selectedIndex: number[]) => void;
    onClose?: () => void;
    onConfirm?: (selectedIndex: number[]) => void;
};
declare const Picker: React.FC<PickerProps>;
export default Picker;
