import React, { PropsWithChildren } from 'react';
export declare type SwiperProps = {
    width: number;
    current: number;
    indicatorMode?: 'round' | 'rect' | 'dot' | 'number' | 'none';
    indicatorPosition?: 'topLeft' | 'topCenter' | 'topRight' | 'bottomCenter' | 'bottomLeft' | 'bottomRight';
    autoplay?: boolean;
    interval?: number;
    borderRadius?: number;
    backgroundColor?: string;
    onChange: (index: number) => void;
};
declare const Swiper: React.FC<PropsWithChildren<SwiperProps>>;
export default Swiper;
